org.apache.http.impl.client

## Class DefaultRedirectHandler

- java.lang.Object
- - org.apache.http.impl.client.DefaultRedirectHandler

All Implemented Interfaces:
  RedirectHandler

Deprecated.
(4.1) use `DefaultRedirectStrategy`.

    @Contract(threading=IMMUTABLE)
    @Deprecated
    public class DefaultRedirectHandler
    extends Object
    implements RedirectHandler

Default implementation of `RedirectHandler`.

Since:
  4.0

### Constructor Summary

Constructors
Constructor and Description
`DefaultRedirectHandler()` Deprecated.

### Method Summary

Methods
`URI` `getLocationURI(org.apache.http.HttpResponse response, org.apache.http.protocol.HttpContext context)` Deprecated. Determines the location request is expected to be redirected to given the response from the target server and the current request execution context.
`boolean` `isRedirectRequested(org.apache.http.HttpResponse response, org.apache.http.protocol.HttpContext context)` Deprecated. Determines if a request should be redirected to a new location given the response from the target server.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultRedirectHandler

    public DefaultRedirectHandler()

Deprecated.

### Method Detail

#### isRedirectRequested

    public boolean isRedirectRequested(org.apache.http.HttpResponse response,
                              org.apache.http.protocol.HttpContext context)

Deprecated.
Description copied from interface: `RedirectHandler`
Determines if a request should be redirected to a new location given the response from the target server.

Specified by:
  `isRedirectRequested` in interface `RedirectHandler`
Parameters:
  `response` - the response received from the target server
  `context` - the context for the request execution
Returns:
  `true` if the request should be redirected, `false` otherwise

#### getLocationURI

    public URI getLocationURI(org.apache.http.HttpResponse response,
                     org.apache.http.protocol.HttpContext context)
                       throws org.apache.http.ProtocolException

Deprecated.
Description copied from interface: `RedirectHandler`
Determines the location request is expected to be redirected to given the response from the target server and the current request execution context.

Specified by:
  `getLocationURI` in interface `RedirectHandler`
Parameters:
  `response` - the response received from the target server
  `context` - the context for the request execution
Returns:
  redirect URI
Throws:
  `org.apache.http.ProtocolException`